com.holonplatform.datastore.jdbc.composer.dialect

## Class SQLiteDialect

- java.lang.Object
- - com.holonplatform.datastore.jdbc.composer.dialect.SQLiteDialect

- All Implemented Interfaces:
    SQLDialect, Serializable

      public class SQLiteDialect
      extends Object
      implements SQLDialect

  SQLite `SQLDialect`.
  Since:
    5.1.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.datastore.jdbc.composer.SQLDialect

      `SQLDialect.LimitHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLiteDialect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deleteStatementAliasSupported()` Get whether alias is supported in the DELETE clause.
    `boolean` | `generatedKeyAlwaysReturned()` Retrieves whether a generated key will always be returned if the column name(s) or index(es) specified for the auto generated key column(s) are valid and the statement succeeds.
    `Optional<SQLDialect.LimitHandler>` | `getLimitHandler()` Get the `SQLDialect.LimitHandler`
    `void` | `init(SQLDialectContext context)` Dialect initialization hook at parent datastore initialization.
    `Optional<SQLFunction>` | `resolveFunction(com.holonplatform.core.query.QueryFunction<?,?> function)` Resolve given `function` into a dialect-specific `SQLFunction`.
    `boolean` | `supportGetGeneratedKeyByName()` Retrieves whether auto-generated keys can be retrieved by name after a statement has been executed.
    `boolean` | `supportsBinaryStreamParameter()` Get whether binary stream type parameters are supported.
    `boolean` | `supportsGetGeneratedKeys()` Retrieves whether auto-generated keys can be retrieved after a statement has been executed.
    `boolean` | `supportsLikeEscapeClause()` Retrieves whether this database supports specifying a `LIKE` escape clause.
    `boolean` | `updateStatementAliasSupported()` Get whether alias is supported in the UPDATE clause.
    `boolean` | `useOuterInJoins()` Get whether to use the `OUTER` keyword in join serialization.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.composer.SQLDialect

      `db2, deleteStatementTargetRequired, derby, detect, getColumnName, getJavaType, getLockClause, getLockHint, getSqlType, getTableName, h2, HANA, hsqldb, informix, mariaDB, mySQL, oracle, postgreSQL, sqlite, sqlServer, supportsSqlType, translateException, updateStatementFromSupported, updateStatementSetAliasSupported`

- - ### Constructor Detail

    - #### SQLiteDialect

          public SQLiteDialect()

  - ### Method Detail

    - #### init

          public void init(SQLDialectContext context)
                    throws SQLException

      Description copied from interface: `SQLDialect`
      Dialect initialization hook at parent datastore initialization.
      Specified by:
        `init` in interface `SQLDialect`
      Parameters:
        `context` - Dialect context
      Throws:
        `SQLException` - An error occurred during dialect initialization

    - #### resolveFunction

          public Optional<SQLFunction> resolveFunction(com.holonplatform.core.query.QueryFunction<?,?> function)

      Description copied from interface: `SQLDialect`
      Resolve given `function` into a dialect-specific `SQLFunction`.
      Specified by:
        `resolveFunction` in interface `SQLDialect`
      Parameters:
        `function` - The function to resolve (not null)
      Returns:
        A dialect-specific function resolution, or empty to fallback to the default function resolution, if available

    - #### updateStatementAliasSupported

          public boolean updateStatementAliasSupported()

      Description copied from interface: `SQLDialect`
      Get whether alias is supported in the UPDATE clause.
      Specified by:
        `updateStatementAliasSupported` in interface `SQLDialect`
      Returns:
        `true` if alias is supported in the UPDATE clause

    - #### supportsBinaryStreamParameter

          public boolean supportsBinaryStreamParameter()

      Description copied from interface: `SQLDialect`
      Get whether binary stream type parameters are supported.
      Specified by:
        `supportsBinaryStreamParameter` in interface `SQLDialect`
      Returns:
        `true` if binary stream type parameters are supported

    - #### supportsLikeEscapeClause

          public boolean supportsLikeEscapeClause()

      Description copied from interface: `SQLDialect`
      Retrieves whether this database supports specifying a `LIKE` escape clause.
      Specified by:
        `supportsLikeEscapeClause` in interface `SQLDialect`
      Returns:
        `true` if so; `false` otherwise

    - #### supportsGetGeneratedKeys

          public boolean supportsGetGeneratedKeys()

      Description copied from interface: `SQLDialect`
      Retrieves whether auto-generated keys can be retrieved after a statement has been executed.
      Specified by:
        `supportsGetGeneratedKeys` in interface `SQLDialect`
      Returns:
        `true` if auto-generated keys can be retrieved after a statement has executed; `false` otherwise

    - #### generatedKeyAlwaysReturned

          public boolean generatedKeyAlwaysReturned()

      Description copied from interface: `SQLDialect`
      Retrieves whether a generated key will always be returned if the column name(s) or index(es) specified for the auto generated key column(s) are valid and the statement succeeds. The key that is returned may or may not be based on the column(s) for the auto generated key.
      Specified by:
        `generatedKeyAlwaysReturned` in interface `SQLDialect`
      Returns:
        `true` if so; `false` otherwise

    - #### useOuterInJoins

          public boolean useOuterInJoins()

      Description copied from interface: `SQLDialect`
      Get whether to use the `OUTER` keyword in join serialization.
      Specified by:
        `useOuterInJoins` in interface `SQLDialect`
      Returns:
        `true` to use the `OUTER` keyword in join serialization

    - #### deleteStatementAliasSupported

          public boolean deleteStatementAliasSupported()

      Description copied from interface: `SQLDialect`
      Get whether alias is supported in the DELETE clause.
      Specified by:
        `deleteStatementAliasSupported` in interface `SQLDialect`
      Returns:
        `true` if alias is supported in the DELETE clause

    - #### supportGetGeneratedKeyByName

          public boolean supportGetGeneratedKeyByName()

      Description copied from interface: `SQLDialect`
      Retrieves whether auto-generated keys can be retrieved by name after a statement has been executed.
      Specified by:
        `supportGetGeneratedKeyByName` in interface `SQLDialect`
      Returns:
        `true` if auto-generated keys can be retrieved by name after a statement has executed

    - #### getLimitHandler

          public Optional<SQLDialect.LimitHandler> getLimitHandler()

      Description copied from interface: `SQLDialect`
      Get the `SQLDialect.LimitHandler`
      Specified by:
        `getLimitHandler` in interface `SQLDialect`
      Returns:
        Optional limit handler

Copyright © 2019 The Holon Platform. All rights reserved.